--============================================================================
--  sotry.lua
--  Copyright (c) 2009, Bamtang Games. All Rights Reserved.
------------------------------------------------------------------------------

require( "scripts/style.lua" );

kStoryFile = "story/story01.xml";

-- storyLoad
MakeDialog {
    name="StoryDialog",
	--Bitmap {
	--	x = 0, 
	--	y = 0,
	--	name = "bmpBackground",
	--	image = "images/gui/ae_titlecard_background",
	--},
	StoryWnd {
		w = kMax,
		h = kMax,
		storyFile = kStoryFile,
		--Bitmap {
		--	name = "bmpTextArea",
		--},
		--Bitmap {
		--	name = "bmpSprite1Name",
		--},
		--Bitmap {
		--	name = "bmpSprite2Name",
		--},
		SetStyle(ButtonStyle),
		Button {
			x = 290,
			y = 444,
			name = "btnResume",
			graphics = PlayButtonGraphics, 
			command = 
				function()
					resume();
				end
		},
		Button {
			x = 0,
			y = 544,
			name = "btnSkip",
			graphics = OptionsButtonGraphics, 
			command = 
				function()
					skip();						
				end
		},
	},
}
